--- a/openssh-7.9p1+x509-11.6.diff	2018-12-19 10:42:01.241775036 -0800
+++ b/openssh-7.9p1+x509-11.6.diff	2018-12-19 10:43:33.383140818 -0800
@@ -45862,7 +45862,7 @@
  	ENGINE_register_all_complete();
 +#endif
  
--#if OPENSSL_VERSION_NUMBER < 0x10001000L
+-#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
 +	/* OPENSSL_config will load buildin engines and engines
 +	 * specified in configuration file, i.e. method call
 +	 * ENGINE_load_builtin_engines. Latter is only for
@@ -81123,16 +81123,6 @@
  		    setlocale(LC_CTYPE, "POSIX.UTF-8") != NULL))
  			return;
  		setlocale(LC_CTYPE, "C");
-diff -ruN openssh-7.9p1/version.h openssh-7.9p1+x509-11.6/version.h
---- openssh-7.9p1/version.h	2018-10-17 03:01:20.000000000 +0300
-+++ openssh-7.9p1+x509-11.6/version.h	2018-12-18 20:07:00.000000000 +0200
-@@ -2,5 +2,4 @@
- 
- #define SSH_VERSION	"OpenSSH_7.9"
- 
--#define SSH_PORTABLE	"p1"
--#define SSH_RELEASE	SSH_VERSION SSH_PORTABLE
-+#define SSH_RELEASE	PACKAGE_STRING ", " SSH_VERSION "p1"
 diff -ruN openssh-7.9p1/version.m4 openssh-7.9p1+x509-11.6/version.m4
 --- openssh-7.9p1/version.m4	1970-01-01 02:00:00.000000000 +0200
 +++ openssh-7.9p1+x509-11.6/version.m4	2018-12-18 20:07:00.000000000 +0200