--- a/openssh-8.0p1+x509-12.0.1.diff	2019-04-29 14:07:39.687923384 -0700
+++ b/openssh-8.0p1+x509-12.0.1.diff	2019-04-29 14:08:11.330706892 -0700
@@ -76610,16 +76610,6 @@
 +	return mbtowc(NULL, s, n);
 +}
 +#endif
-diff -ruN openssh-8.0p1/version.h openssh-8.0p1+x509-12.0.1/version.h
---- openssh-8.0p1/version.h	2019-04-18 01:52:57.000000000 +0300
-+++ openssh-8.0p1+x509-12.0.1/version.h	2019-04-29 19:07:00.000000000 +0300
-@@ -2,5 +2,4 @@
- 
- #define SSH_VERSION	"OpenSSH_8.0"
- 
--#define SSH_PORTABLE	"p1"
--#define SSH_RELEASE	SSH_VERSION SSH_PORTABLE
-+#define SSH_RELEASE	PACKAGE_STRING ", " SSH_VERSION "p1"
 diff -ruN openssh-8.0p1/version.m4 openssh-8.0p1+x509-12.0.1/version.m4
 --- openssh-8.0p1/version.m4	1970-01-01 02:00:00.000000000 +0200
 +++ openssh-8.0p1+x509-12.0.1/version.m4	2019-04-29 19:07:00.000000000 +0300