--- a/openssh-8.7p1+x509-13.2.1.diff	2021-09-08 14:20:40.750542472 -0700
+++ b/openssh-8.7p1+x509-13.2.1.diff	2021-09-08 14:21:23.354736098 -0700
@@ -51194,12 +51194,11 @@
  
  install-files:
  	$(MKDIR_P) $(DESTDIR)$(bindir)
-@@ -391,6 +368,8 @@
+@@ -391,6 +368,7 @@
  	$(MKDIR_P) $(DESTDIR)$(mandir)/$(mansubdir)5
  	$(MKDIR_P) $(DESTDIR)$(mandir)/$(mansubdir)8
  	$(MKDIR_P) $(DESTDIR)$(libexecdir)
 +	$(MKDIR_P) $(DESTDIR)$(sshcadir)
-+	$(MKDIR_P) $(DESTDIR)$(piddir)
  	$(MKDIR_P) -m 0755 $(DESTDIR)$(PRIVSEP_PATH)
  	$(INSTALL) -m 0755 $(STRIP_OPT) ssh$(EXEEXT) $(DESTDIR)$(bindir)/ssh$(EXEEXT)
  	$(INSTALL) -m 0755 $(STRIP_OPT) scp$(EXEEXT) $(DESTDIR)$(bindir)/scp$(EXEEXT)
@@ -70464,9 +70463,9 @@
  
 +# cross-project configuration
 +if test "$sshd_type" = "pkix" ; then
-+  unset_arg=''
++  unset_arg=
 +else
-+  unset_arg=none
++  unset_arg=
 +fi
 +
  cat > $OBJ/sshd_config.i << _EOF
@@ -132131,16 +132130,6 @@
 +int	 asnmprintf(char **, size_t, int *, const char *, ...)
  	    __attribute__((format(printf, 4, 5)));
  void	 msetlocale(void);
-diff -ruN openssh-8.7p1/version.h openssh-8.7p1+x509-13.2.1/version.h
---- openssh-8.7p1/version.h	2021-08-20 07:03:49.000000000 +0300
-+++ openssh-8.7p1+x509-13.2.1/version.h	2021-09-08 21:07:00.000000000 +0300
-@@ -2,5 +2,4 @@
- 
- #define SSH_VERSION	"OpenSSH_8.7"
- 
--#define SSH_PORTABLE	"p1"
--#define SSH_RELEASE	SSH_VERSION SSH_PORTABLE
-+#define SSH_RELEASE	PACKAGE_STRING ", " SSH_VERSION "p1"
 diff -ruN openssh-8.7p1/version.m4 openssh-8.7p1+x509-13.2.1/version.m4
 --- openssh-8.7p1/version.m4	1970-01-01 02:00:00.000000000 +0200
 +++ openssh-8.7p1+x509-13.2.1/version.m4	2021-09-08 21:07:00.000000000 +0300