diff -ur '--exclude=.*.un~' a/openssh-8.7p1+x509-13.2.diff b/openssh-8.7p1+x509-13.2.diff
--- a/openssh-8.7p1+x509-13.2.diff	2021-08-30 17:47:40.415668320 -0700
+++ b/openssh-8.7p1+x509-13.2.diff	2021-08-30 17:49:14.916114987 -0700
@@ -51082,12 +51082,11 @@
  
  install-files:
  	$(MKDIR_P) $(DESTDIR)$(bindir)
-@@ -391,6 +368,8 @@
+@@ -391,6 +368,7 @@
  	$(MKDIR_P) $(DESTDIR)$(mandir)/$(mansubdir)5
  	$(MKDIR_P) $(DESTDIR)$(mandir)/$(mansubdir)8
  	$(MKDIR_P) $(DESTDIR)$(libexecdir)
 +	$(MKDIR_P) $(DESTDIR)$(sshcadir)
-+	$(MKDIR_P) $(DESTDIR)$(piddir)
  	$(MKDIR_P) -m 0755 $(DESTDIR)$(PRIVSEP_PATH)
  	$(INSTALL) -m 0755 $(STRIP_OPT) ssh$(EXEEXT) $(DESTDIR)$(bindir)/ssh$(EXEEXT)
  	$(INSTALL) -m 0755 $(STRIP_OPT) scp$(EXEEXT) $(DESTDIR)$(bindir)/scp$(EXEEXT)
@@ -69793,7 +69792,7 @@
 -	echo "putty interop tests not enabled"
 -	exit 0
 -fi
-+$REGRESS_INTEROP_PUTTY || { echo "putty interop tests are not enabled" >&1;  exit 1; }
++$REGRESS_INTEROP_PUTTY || { echo "putty interop tests are not enabled" >&1;  exit 0; }
  
  for c in aes 3des aes128-ctr aes192-ctr aes256-ctr chacha20 ; do
  	verbose "$tid: cipher $c"
@@ -69808,7 +69807,7 @@
 -	echo "putty interop tests not enabled"
 -	exit 0
 -fi
-+$REGRESS_INTEROP_PUTTY || { echo "putty interop tests are not enabled" >&1;  exit 1; }
++$REGRESS_INTEROP_PUTTY || { echo "putty interop tests are not enabled" >&1;  exit 0; }
  
  for k in dh-gex-sha1 dh-group1-sha1 dh-group14-sha1 ecdh ; do
  	verbose "$tid: kex $k"
@@ -69823,7 +69822,7 @@
 -	echo "putty interop tests not enabled"
 -	exit 0
 -fi
-+$REGRESS_INTEROP_PUTTY || { echo "putty interop tests are not enabled" >&1;  exit 1; }
++$REGRESS_INTEROP_PUTTY || { echo "putty interop tests are not enabled" >&1;  exit 0; }
  
  if [ "`${SSH} -Q compression`" = "none" ]; then
  	comp="0"
@@ -70130,9 +70129,9 @@
  
 +# cross-project configuration
 +if test "$sshd_type" = "pkix" ; then
-+  unset_arg=''
++  unset_arg=
 +else
-+  unset_arg=none
++  unset_arg=
 +fi
 +
  cat > $OBJ/sshd_config.i << _EOF
@@ -131673,16 +131672,6 @@
 +int	 asnmprintf(char **, size_t, int *, const char *, ...)
  	    __attribute__((format(printf, 4, 5)));
  void	 msetlocale(void);
-diff -ruN openssh-8.7p1/version.h openssh-8.7p1+x509-13.2/version.h
---- openssh-8.7p1/version.h	2021-08-20 07:03:49.000000000 +0300
-+++ openssh-8.7p1+x509-13.2/version.h	2021-08-30 20:07:00.000000000 +0300
-@@ -2,5 +2,4 @@
- 
- #define SSH_VERSION	"OpenSSH_8.7"
- 
--#define SSH_PORTABLE	"p1"
--#define SSH_RELEASE	SSH_VERSION SSH_PORTABLE
-+#define SSH_RELEASE	PACKAGE_STRING ", " SSH_VERSION "p1"
 diff -ruN openssh-8.7p1/version.m4 openssh-8.7p1+x509-13.2/version.m4
 --- openssh-8.7p1/version.m4	1970-01-01 02:00:00.000000000 +0200
 +++ openssh-8.7p1+x509-13.2/version.m4	2021-08-30 20:07:00.000000000 +0300